### Function

# Gimp progress_get_window_handle

since: 2.2

#### Declaration [src]

    GBytes*
    gimp_progress_get_window_handle (
      void
    )

#### Description [src]

Returns the native handle of the toplevel window this plug-in’s progress is or would be displayed in.

This function returns the native handle allowing to identify the toplevel window this plug-in’s progress is displayed in. It should still work even if the progress bar has not been initialized yet, unless the plug-in wasn’t called from a GUI. This handle can be of various types (integer, string, etc.) depending on the platform you are running on which is why it returns a GBytes. There are usually no reasons to call this directly.

Available since: 2.2

#### Return value

Type: `GBytes`

The progress bar’s toplevel window’s handle.

The caller of the function takes ownership of the data, and is responsible for freeing it.